/* drop procedure GetCustOrders; */
set term ^;
create procedure GetCustOrders(custRef integer)
returns (
	orderid integer,
	description varchar(80)
)
as
begin
	for select o.orderid, o.description
	from orders o, customer c, cust_order co
	where c.custid = :custRef
	and c.custid = co.custid
	and co.orderid = o.orderid
	into :orderid, :description
	do
	begin
		suspend;
	end
end
^
set term ;^
grant execute on procedure GetCustOrders to user1;
commit;
